import { createInput } from "@formkit/vue";
import PrimeAutoComplete from "../components/PrimeAutoComplete.vue";
import PrimeDatePicker from "../components/PrimeDatePicker.vue";
import PrimeCascadeSelect from "../components/PrimeCascadeSelect.vue";
import PrimeCheckbox from "../components/PrimeCheckbox.vue";
import PrimeColorPicker from "../components/PrimeColorPicker.vue";
import PrimeSelect from "../components/PrimeSelect.vue";
import PrimeEditor from "../components/PrimeEditor.vue";
import PrimeInputMask from "../components/PrimeInputMask.vue";
import PrimeInputNumber from "../components/PrimeInputNumber.vue";
import PrimeInputOtp from "../components/PrimeInputOtp.vue";
import PrimeToggleSwitch from "../components/PrimeToggleSwitch.vue";
import PrimeInputText from "../components/PrimeInputText.vue";
import PrimeTextarea from "../components/PrimeTextarea.vue";
import PrimeKnob from "../components/PrimeKnob.vue";
import PrimeMultiSelect from "../components/PrimeMultiSelect.vue";
import PrimeListbox from "../components/PrimeListbox.vue";
import PrimePassword from "../components/PrimePassword.vue";
import PrimeRadioButton from "../components/PrimeRadioButton.vue";
import PrimeRating from "../components/PrimeRating.vue";
import PrimeSlider from "../components/PrimeSlider.vue";
import PrimeToggleButton from "../components/PrimeToggleButton.vue";
import PrimeTreeSelect from "../components/PrimeTreeSelect.vue";
import PrimeSelectButton from "../components/PrimeSelectButton.vue";
export const primeAutoCompleteDefinition = createInput(PrimeAutoComplete, {
  props: ["pt", "ptOptions", "unstyled", "Select", "multiple", "typeahead"]
});
export const primeInputTextDefinition = createInput(PrimeInputText, {
  props: ["pt", "ptOptions", "unstyled", "placeholder", "iconPrefix", "iconSuffix"]
});
export const primeInputNumberDefinition = createInput(PrimeInputNumber, {
  props: ["useGrouping", "min", "max", "minFractionDigits", "maxFractionDigits", "locale", "mode", "currency", "prefix", "suffix", "showButtons", "buttonLayout", "step", "pt", "ptOptions", "unstyled", "placeholder"]
});
export const primeInputMaskDefinition = createInput(PrimeInputMask, {
  props: ["mask", "slotChar", "autoClear", "unmask", "pt", "ptOptions", "unstyled", "invalid", "variant", "iconPrefix", "iconSuffix"]
});
export const primePasswordDefinition = createInput(PrimePassword, {
  props: ["mediumRegex", "strongRegex", "promptLabel", "weakLabel", "mediumLabel", "strongLabel", "hideIcon", "showIcon", "pt", "ptOptions", "unstyled", "placeholder", "feedback", "toggleMask"]
});
export const primeTextareaDefinition = createInput(PrimeTextarea, {
  props: ["pt", "ptOptions", "unstyled", "autoResize", "rows", "placeholder"]
});
export const primeCheckboxDefinition = createInput(PrimeCheckbox, {
  props: ["binary", "trueValue", "falseValue", "pt", "ptOptions", "unstyled", "indeterminate", "variant", "prefix", "suffix"]
});
export const primeToggleSwitchDefinition = createInput(PrimeToggleSwitch, {
  props: ["trueValue", "falseValue", "pt", "ptOptions", "unstyled", "prefix", "suffix"]
});
export const primeInputOtpDefinition = createInput(PrimeInputOtp, {
  props: ["length", "variant", "mask", "integerOnly", "pt", "ptOptions", "unstyled"]
});
export const primeEditorDefinition = createInput(PrimeEditor, {
  props: ["placeholder", "formats", "modules", "pt", "ptOptions", "unstyled"]
});
export const primeSelectDefinition = createInput(PrimeSelect, {
  props: ["options", "optionLabel", "optionValue", "optionDisabled", "optionGroupLabel", "optionGroupChildren", "scrollHeight", "filter", "filterPlaceholder", "filterLocale", "filterMatchMode", "filterFields", "filterInputProps", "editable", "placeholder", "dataKey", "showClear", "panelStyle", "panelClass", "panelProps", "appendTo", "resetFilterOnHide", "virtualScrollerOptions", "autoOptionFocus", "selectOnFocus", "filterMessage", "selectionMessage", "emptySelectionMessage", "emptyFilterMessage", "emptyMessage", "pt", "ptOptions", "unstyled"]
});
export const primeMultiSelectDefinition = createInput(PrimeMultiSelect, {
  props: ["options", "optionLabel", "optionValue", "optionDisabled", "optionGroupLabel", "optionGroupChildren", "scrollHeight", "inputProps", "closeButtonProps", "dataKey", "filter", "filterPlaceholder", "filterLocale", "filterMatchMode", "filterFields", "appendTo", "display", "maxSelectedLabels", "selectedItemsLabel", "selectionLimit", "showToggleAll", "loading", "selectAll", "resetFilterOnHide", "virtualScrollerOptions", "autoOptionFocus", "autoFilterFocus", "filterMessage", "selectionMessage", "emptySelectionMessage", "emptyFilterMessage", "emptyMessage", "pt", "placeholder", "ptOptions", "unstyled"]
});
export const primeListboxDefinition = createInput(PrimeListbox, {
  props: ["pt", "ptOptions", "unstyled", "options", "optionLabel", "optionValue", "multiple", "filter", "filterIcon", "filterPlaceholder", "filterLocale", "filterMatchMode", "autoOptionFocus", "selectOnFocus"]
});
export const primeDatePickerDefinition = createInput(PrimeDatePicker, {
  props: ["dateFormat", "placeholder", "selectionMode", "inline", "icon", "showOtherMonths", "selectOtherMonths", "showIcon", "previousIcon", "nextIcon", "incrementIcon", "decrementIcon", "numberOfMonths", "responsiveOptions", "view", "touchUI", "minDate", "maxDate", "disabledDates", "disabledDays", "maxDateCount", "showOnFocus", "autoZIndex", "baseZIndex", "showButtonBar", "showTime", "timeOnly", "shortYearCutoff", "hourFormat", "stepHour", "stepMinute", "stepSecond", "showSeconds", "hideOnDateTimeSelect", "hideOnRangeSelection", "timeSeparator", "showWeek", "manualInput", "appendTo", "panelStyle", "panelClass", "pt", "ptOptions", "unstyled"]
});
export const primeSliderDefinition = createInput(PrimeSlider, {
  props: ["pt", "ptOptions", "unstyled", "min", "max", "step", "range", "orientation"]
});
export const primeRatingDefinition = createInput(PrimeRating, {
  props: ["unstyled", "stars", "cancel", "onIcon", "offIcon", "cancelIcon", "ptOptions", "pt"]
});
export const primeRadioButtonDefinition = createInput(PrimeRadioButton, {
  props: ["pt", "ptOptions", "unstyled", "options", "optionsClass", "optionClass"]
});
export const primeKnobDefinition = createInput(PrimeKnob, {
  props: ["pt", "ptOptions", "unstyled", "min", "max", "step", "size", "strokeWidth", "showValue", "valueColor", "rangeColor", "textColor", "valueTemplate"]
});
export const primeColorPickerDefinition = createInput(PrimeColorPicker, {
  props: ["defaultColor", "inline", "format", "pt", "ptOptions", "unstyled"]
});
export const primeToggleButtonDefinition = createInput(PrimeToggleButton, {
  props: ["pt", "ptOptions", "unstyled", "onLabel", "offLabel", "onIcon", "offIcon", "iconPos"]
});
export const primeSelectButtonDefinition = createInput(PrimeSelectButton, {
  props: ["pt", "ptOptions", "unstyled", "optionLabel", "optionValue", "optionDisabled", "multiple", "unselectable", "dataKey", "options"]
});
export const primeCascadeSelectDefinition = createInput(PrimeCascadeSelect, {
  props: ["options", "optionLabel", "optionValue", "optionGroupLabel", "optionGroupChildren", "placeholder", "pt", "ptOptions", "unstyled"]
});
export const primeTreeSelectDefinition = createInput(PrimeTreeSelect, {
  props: ["options", "placeholder", "selectionMode", "pt", "ptOptions", "unstyled", "emptyMessage", "display", "metaKeySelection", "appendTo", "scrollHeight", "panelClass", "variant"]
});
export const primeInputs = {
  primeAutoComplete: primeAutoCompleteDefinition,
  primeInputText: primeInputTextDefinition,
  primeInputNumber: primeInputNumberDefinition,
  primeInputMask: primeInputMaskDefinition,
  primePassword: primePasswordDefinition,
  primeCheckbox: primeCheckboxDefinition,
  primeToggleSwitch: primeToggleSwitchDefinition,
  primeTextarea: primeTextareaDefinition,
  primeEditor: primeEditorDefinition,
  primeSelect: primeSelectDefinition,
  primeMultiSelect: primeMultiSelectDefinition,
  primeDatePicker: primeDatePickerDefinition,
  primeSlider: primeSliderDefinition,
  primeKnob: primeKnobDefinition,
  primeRating: primeRatingDefinition,
  primeRadioButton: primeRadioButtonDefinition,
  primeColorPicker: primeColorPickerDefinition,
  primeToggleButton: primeToggleButtonDefinition,
  primeListbox: primeListboxDefinition,
  primeSelectButton: primeSelectButtonDefinition,
  primeCascadeSelect: primeCascadeSelectDefinition,
  primeTreeSelect: primeTreeSelectDefinition,
  primeInputOtp: primeInputOtpDefinition
};
